org.eclipse.actf.visualization.util

## Class RadarChart

- java.lang.Object
- - org.eclipse.actf.visualization.util.RadarChart

    public class RadarChart
    extends Object

Utility class to generate radar chart

### Constructor Summary

Constructors
Constructor and Description
`RadarChart(String[] _names, int[] _values)` Constructor of RaderChart

### Method Summary

Methods
`BufferedImage` `getBufferedImage()` Get radar chart as `BufferedImage`
`void` `writeToPNG(File target)` Write radar chart to file in PNG format

### Methods inherited from class java.lang.Object

`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### RadarChart

    public RadarChart(String[] _names,
              int[] _values)
               throws Exception

Constructor of RaderChart

Parameters:
  `_names` - names of axis
  `_values` - values for each axis
Throws:
  `Exception`

### Method Detail

#### getBufferedImage

    public BufferedImage getBufferedImage()

Get radar chart as `BufferedImage`

Returns:
  radar chart as `BufferedImage`

#### writeToPNG

    public void writeToPNG(File target)
                    throws IOException

Write radar chart to file in PNG format

Parameters:
  `target` - target file path
Throws:
  `IOException`